package com.djhk.uav.equ.domain.vo;

import java.io.Serializable;
import java.util.List;
import java.util.stream.Collectors;

import com.djhk.common.core.domain.entity.SysDept;
import com.djhk.uav.equ.domain.SysMenus;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * Treeselect树结构实体类
 * 
 * @author myk
 */
public class TreeSelects implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** 节点ID */
    private Long id;

    /** 节点名称 */
    private String label;

    /** 子节点 */
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private List<TreeSelects> children;

    public TreeSelects()
    {

    }

    public TreeSelects(SysDept dept)
    {
        this.id = dept.getDeptId();
        this.label = dept.getDeptName();
        this.children = dept.getChildren().stream().map(TreeSelects::new).collect(Collectors.toList());
    }

    public TreeSelects(SysMenus menu)
    {
        this.id = menu.getMenuId();
        this.label = menu.getMenuName();
        this.children = menu.getChildren().stream().map(TreeSelects::new).collect(Collectors.toList());
    }

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getLabel()
    {
        return label;
    }

    public void setLabel(String label)
    {
        this.label = label;
    }

    public List<TreeSelects> getChildren()
    {
        return children;
    }

    public void setChildren(List<TreeSelects> children)
    {
        this.children = children;
    }
}
